Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1274064 - No way to specify GPG key for kickstart repos
Summary: No way to specify GPG key for kickstart repos
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.1
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-21 19:44 UTC by Pat Riehecky
Modified: 2020-12-15 07:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1656911 (view as bug list)
Environment:
Last Closed: 2020-12-15 07:38:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pat Riehecky 2015-10-21 19:44:54 UTC
Description of problem:
When adding repos to a kickstart file, there is no way to pass a GPG key for validation of packages.

As a result, it is difficult to verify the authenticity of packages
installed from kickstart repos.

Version-Release number of selected component (if applicable):pykickstart-1.99.43.17-1.el7


How reproducible:
100%

Steps to Reproduce:
1.Build a kickstart file which adds EPEL to the list of repos
( repo --name=EPEL --mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-7&arch=$basearch )
2.look for way to specify all packages in this repo must be signed by a specific key
3.

Actual results:
There is no way to pass a GPG key for validation of packages for kickstart.

Expected results:
Ability to GPG verify packages within kickstart repos

Additional info:

Comment 2 David Cantrell 2019-03-15 18:25:09 UTC
This would have to be implemented in anaconda as well.  pykickstart just provides the kickstart file parsing functionality.  If anaconda is unable to do this, we should close out the bug.

Comment 4 RHEL Program Management 2020-12-15 07:38:00 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.